Our first major contribution is developing a sound scientific methodology for evaluating timelines.

## Current Approaches

Current approaches to evaluating timelines are rather ad-hoc and not sufficiently rigorous. This can be seen as a function of the task difficulty. Evaluation is subjective. Different readers may prefer one timeline over another based on writing style, length or the types of events covered. Even timelines with the same atomic events and semantic content can vary through rewording or re-ordering. As such, the task of developing a sufficiently robust framework can seem daunting. Another factor is that this is a new area of research. While in the exploratory phase, it might be reasonable use an evaluator that is 'good-enough'. However, now that there have been some promising results in the area we believe it is important to rectify this.

The methods present in the literature so far largely fall in the following camps:

* **Automatic evaluation**: These methodologies use automatic metrics to indicate the validity of the model. For example, several TLG approaches adopt a ROUGE metric for this task \cite{Wang2013,Yan2011,Yan2011a}. These automatic measures are imperfect, and have been criticised for not providing a good measure of content quality \cite{reiter2009investigation}. They are on the other hand fast and free. 
* **Sparse Ad-Hoc Crowd Voting**: An alternative is preference voting. In the simplest case, a crowd-worker is presented with both the gold standard and a system-generated timeline. The workers then preference which of the two they prefer. Some domain-knowledge might be required dependent on application, but this is an issue with crowd-work generally. Even if an individual doesn't possess knowledge of the topic, they can still preference based on other features such as redundancy, length or clarity. Chieu et al. for example used such an approach \cite{Chieu:2004id}. As the end-goal of a timeline model is human readability, directly including this in the evaluation process is great. The problem is how it is implemented. In all papers adopting such an approach, only a tiny number of timelines were evaluated. Additionally, explanations had a tendency to be unclear and hand-wavy.

Furthermore:

* Both of these approaches rely on gold standard timelines but rarely was the process of generating them made explicit.
* Several of the approaches also did not use enforce independence of their test/train dataset or did not use such a split at all. 

We use the issues outlined above to motivate the development of our model.

